%define upstream_name    Catalyst-Plugin-Session-Store-Memcached
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Memcached storage for Catalyst sessions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::Memcached::Managed)
BuildRequires: perl(Catalyst::ClassData)
BuildRequires: perl(Catalyst::Plugin::Session) >= 0.260.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Emulate::Class::Accessor::Fast)
BuildRequires: perl(namespace::clean)
BuildRequires: perl-Class-Data-Inheritable
BuildArch:  noarch

%description
'Catalyst::Plugin::Session::Store::Memcached' is a session storage plugin
for Catalyst that uses the the Cache::Memcached::Managed manpage module to
connect to memcached, a fast data caching server.

METHODS
    * get_session_data

    * store_session_data

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 509767
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 364058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 254654
- update to 0.05

* Wed Jan 26 2011 jquelin <jquelin> 0.40.0-2.mga1
+ Revision: 41048
- mageia rebuild
- imported package perl-Catalyst-Plugin-Session-Store-Memcached


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.40.0-2mdv2011.0
+ Revision: 625029
- Add missing dep
- import perl-Catalyst-Plugin-Session-Store-Memcached

